Bug 252794 - multimedia/obs-studio: "libobs: graphics th" received signal SIGSEGV, Segmentation fault.
Summary: multimedia/obs-studio: "libobs: graphics th" received signal SIGSEGV, Segment...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/obsproject/obs-stu...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-18 08:00 UTC by Martin Filla
Modified: 2021-09-16 18:55 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
obs_gdb_backtrace (49.85 KB, text/plain)
2021-01-18 09:26 UTC, Martin Filla
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2021-01-18 08:00:56 UTC
Hi
I have crash report for obs-studio.
Main issue is with error: Failed to fetch parent window geometry! and then has been exit application with SIGSEGV.


info: ==== Shutting down ==================================================
debug: private source 'Cut' destroyed
debug: source 'Scene' destroyed
debug: source 'Window Capture (Xcomposite)' destroyed
debug: private source 'Fade' destroyed
debug: source 'Desktop Audio' destroyed
info: pulse-input: Stopped recording from 'oss_output.dsp0.monitor'
info: pulse-input: Got 5935 packets with 6077440 frames
debug: source 'Mic/Aux' destroyed
info: pulse-input: Stopped recording from 'oss_input.dsp0'
info: pulse-input: Got 5931 packets with 6073344 frames
[LWP 102242 of process 23670 exited]
info: All scene data cleared
info: ------------------------------------------------
error: Failed to fetch parent window geometry!
error: Failed to fetch parent window geometry!
error: Failed to fetch parent window geometry!
debug: service 'default_service' destroyed
debug: encoder 'simple_archive_aac' destroyed
debug: encoder 'simple_h264_stream' destroyed
debug: encoder 'simple_aac' destroyed
debug: output 'simple_stream' destroyed
debug: output 'simple_file_output' destroyed
error: Failed to fetch parent window geometry!
error: X Error: BadDrawable (invalid Pixmap or Window parameter), Major opcode: 130, Minor opcode: BadWindow (invalid Window parameter), Serial: 45288
error: X Error: BadDrawable (invalid Pixmap or Window parameter), Major opcode: BadIDChoice (invalid resource ID chosen for this connection), Minor opcode: 0, Serial: 45290
error: Failed to fetch parent window geometry!
--Type <RET> for more, q to quit, c to continue without paging--

Thread 175 "libobs: graphics th" received signal SIGSEGV, Segmentation fault.
[Switching to LWP 102408 of process 23670]
0x000000080df7cd55 in ?? () from /usr/local/lib/dri/swrast_dri.so
(gdb) 
(gdb) bt
#0  0x000000080df7cd55 in ?? () from /usr/local/lib/dri/swrast_dri.so
#1  0x000000080df80e5f in ?? () from /usr/local/lib/dri/swrast_dri.so
#2  0x000000080df7d73c in ?? () from /usr/local/lib/dri/swrast_dri.so
#3  0x000000080df7d644 in ?? () from /usr/local/lib/dri/swrast_dri.so
#4  0x000000080d90a99b in ?? () from /usr/local/lib/dri/swrast_dri.so
#5  0x00000008071fcc78 in ?? () from /usr/local/lib/libGL.so.1
#6  0x00000008071ff09a in glXSwapBuffers () from /usr/local/lib/libGL.so.1
#7  0x000000080cf380a8 in device_present (device=0x80bbbb820) at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs-opengl/gl-x11.c:578
#8  0x0000000802d2b37d in gs_present () at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/graphics/graphics.c:1816
#9  0x0000000802dab3af in render_display (display=0x818eaa3a0) at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs-display.c:228
#10 0x0000000802db7c64 in render_displays () at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs-video.c:97
#11 0x0000000802db74b1 in obs_graphics_thread_loop (context=0x7fffd89c2f70) at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs-video.c:979
#12 0x0000000802db7f31 in obs_graphics_thread (param=0x80ab45020) at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs-video.c:1050
#13 0x0000000802577736 in thread_start (curthread=0x8085b8300) at /usr/src/lib/libthr/thread/thr_create.c:292
#14 0x0000000000000000 in ?? ()
Backtrace stopped: Cannot access memory at address 0x7fffd89c3000
Comment 1 Yuri Victorovich freebsd_committer 2021-01-18 08:09:26 UTC
Martin,

Thank you for the report.

Could you please also post this as an upstream issue here https://github.com/obsproject/obs-studio/issues, and fill the issue URL in the URL field here?

They usually answer pretty fast.


Yuri
Comment 2 Martin Filla 2021-01-18 09:21:30 UTC
(In reply to Yuri Victorovich from comment #1)

Crash has been report in upstrean https://github.com/obsproject/obs-studio/issues/4090
Comment 3 Martin Filla 2021-01-18 09:26:38 UTC
Created attachment 221700 [details]
obs_gdb_backtrace
Comment 4 Yuri Victorovich freebsd_committer 2021-01-18 09:52:20 UTC
Thanks!
Comment 5 Martin Filla 2021-01-28 17:07:23 UTC
(In reply to Yuri Victorovich from comment #4)
bug has been fixed on upstream.
I tested on my workstation